import type { PropType, SlotsType, VNode } from 'vue';
import type { YMapClusterer } from '@yandex/ymaps3-types/packages/clusterer';
import type { LngLat } from '@yandex/ymaps3-types';
import type { ClustererObject } from '@yandex/ymaps3-types/packages/clusterer/YMapClusterer/interface';
import type { YandexMapMarkerCustomProps } from '../../../types/marker.ts';
import type { EasingFunctionDescription } from '@yandex/ymaps3-types/common/types';
type Settings = ConstructorParameters<typeof YMapClusterer>[0];
export type YandexMapClustererOptions = Partial<Omit<Settings, 'features' | 'marker' | 'cluster'>>;
export type YandexMapClustererZoomOptionsObject = {
    duration?: number;
    easing?: EasingFunctionDescription;
};
declare const _default: import("vue").DefineComponent<{
    value: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    modelValue: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    settings: {
        type: PropType<Partial<Omit<import("@yandex/ymaps3-types/packages/clusterer/YMapClusterer/YMapClusterer").YMapClustererProps, "features" | "marker" | "cluster">>>;
        default: () => {};
    };
    /**
     * @description All custom (non-settings) props are also supported
     */
    clusterMarkerProps: {
        type: PropType<Omit<import("@yandex/ymaps3-types/imperative/YMapMarker/index").YMapMarkerProps, "coordinates"> & YandexMapMarkerCustomProps>;
        default: () => {};
    };
    /**
     * @description Size of the grid division in pixels
     *
     * Used in settings.method via Yandex clusterByGrid method
     *
     * @see https://yandex.ru/dev/jsapi30/doc/ru/ref/packages/clusterer/
     * @see https://yandex.ru/dev/jsapi30/doc/en/ref/packages/clusterer/
     */
    gridSize: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * @description Zooms to bounds of features of cluster
     */
    zoomOnClusterClick: {
        type: PropType<boolean | YandexMapClustererZoomOptionsObject>;
        default: boolean;
    };
}, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    input(item: YMapClusterer): boolean;
    'update:modelValue'(item: YMapClusterer): boolean;
    trueBounds(bounds: [LngLat, LngLat]): boolean;
    updatedBounds(bounds: [LngLat, LngLat]): boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    modelValue: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    settings: {
        type: PropType<Partial<Omit<import("@yandex/ymaps3-types/packages/clusterer/YMapClusterer/YMapClusterer").YMapClustererProps, "features" | "marker" | "cluster">>>;
        default: () => {};
    };
    /**
     * @description All custom (non-settings) props are also supported
     */
    clusterMarkerProps: {
        type: PropType<Omit<import("@yandex/ymaps3-types/imperative/YMapMarker/index").YMapMarkerProps, "coordinates"> & YandexMapMarkerCustomProps>;
        default: () => {};
    };
    /**
     * @description Size of the grid division in pixels
     *
     * Used in settings.method via Yandex clusterByGrid method
     *
     * @see https://yandex.ru/dev/jsapi30/doc/ru/ref/packages/clusterer/
     * @see https://yandex.ru/dev/jsapi30/doc/en/ref/packages/clusterer/
     */
    gridSize: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * @description Zooms to bounds of features of cluster
     */
    zoomOnClusterClick: {
        type: PropType<boolean | YandexMapClustererZoomOptionsObject>;
        default: boolean;
    };
}>> & {
    onInput?: ((item: YMapClusterer) => any) | undefined;
    "onUpdate:modelValue"?: ((item: YMapClusterer) => any) | undefined;
    onTrueBounds?: ((bounds: [LngLat, LngLat]) => any) | undefined;
    onUpdatedBounds?: ((bounds: [LngLat, LngLat]) => any) | undefined;
}, {
    value: YMapClusterer;
    modelValue: YMapClusterer;
    settings: Partial<Omit<import("@yandex/ymaps3-types/packages/clusterer/YMapClusterer/YMapClusterer").YMapClustererProps, "features" | "marker" | "cluster">>;
    clusterMarkerProps: Omit<import("@yandex/ymaps3-types/imperative/YMapMarker/index").YMapMarkerProps, "coordinates"> & YandexMapMarkerCustomProps;
    gridSize: number;
    zoomOnClusterClick: boolean | YandexMapClustererZoomOptionsObject;
}, SlotsType<{
    default: {};
    cluster: {
        clusterer: ClustererObject;
        coordinates: ClustererObject['lnglat'];
        length: number;
    };
}>>;
export default _default;
