import type { ComputedGetter, ComputedRef, DebuggerOptions, Ref, UnwrapRef } from 'vue';
/**
 * @description Prevents memory leak on SSR when ref is called outside setup
 */
export declare function safeRef<T = any>(value: T): Ref<UnwrapRef<T>>;
/**
 * @description Prevents memory leak on SSR when computed is called outside setup
 */
export declare function safeComputed<T>(getter: ComputedGetter<T>, debugOptions?: DebuggerOptions): ComputedRef<T>;
export declare function sleep(ms: number): Promise<unknown>;
export declare function copy<T>(target: T): T;
export declare function isDev(): boolean | undefined;
export declare function throwException({ text, isInternal, }: {
    text: string;
    isInternal?: boolean;
}): never;
export declare function excludeKeys(item: Record<string, any>, ignoreKeys: string[]): void;
